# ACE_Function_Node Class Reference

Keeps track of the symbol name of for a shared function. More...

`#include <Parse_Node.h>`

Inheritance diagram for ACE_Function_Node:

[legend]
Collaboration diagram for ACE_Function_Node:

[legend]
List of all members.

## Public Member Functions

| ACE_Function_Node (const ACE_TCHAR *pathname, const ACE_TCHAR *func_name)
virtual void * | symbol (int &yyerrno, ACE_Service_Object_Exterminator *gobbler=0)
virtual | ~ACE_Function_Node (void)
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Private Member Functions

ACE_TCHAR * | make_func_name (ACE_TCHAR const *func_name)

## Private Attributes

const ACE_TCHAR * | function_name_
| Name of the function that we're parsing.

## Detailed Description

Keeps track of the symbol name of for a shared function.

Note:
  This class is only meant for INTERNAL use by ACE.

## Constructor & Destructor Documentation

ACE_Function_Node::ACE_Function_Node | ( | const ACE_TCHAR * | pathname,
|  | const ACE_TCHAR * | func_name
| ) |

ACE_Function_Node::~ACE_Function_Node | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void ACE_Function_Node::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Location_Node.

ACE_TCHAR * ACE_Function_Node::make_func_name | ( | ACE_TCHAR const * | func_name | ) | `[private]`

This function embeds the ACE versioned namespace name into the original function name if versioned namespace support has been enabled and the original function name conforms to the ACE Service Object factory function naming conventions. For example "@c _make_Foo" becomes "@c make_ACE_5_4_7_Foo".

  If versioned namespace support is disabled or the factory function name does conform to ACE conventions, no mangling will occur and the verbatim function name is returned.

Returns:
  Function name that takes into account versioned namespace name. Caller is responsible for calling operator delete[] or ACE::strdelete() on the returned string.

void * ACE_Function_Node::symbol | ( | int & | yyerrno,
|  | ACE_Service_Object_Exterminator * | gobbler = `0`
| ) | `[virtual]`

| Implements ACE_Location_Node.

## Member Data Documentation

ACE_Function_Node::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Location_Node.

const ACE_TCHAR* ACE_Function_Node::function_name_`[private]`

| Name of the function that we're parsing.

The documentation for this class was generated from the following files:

- Parse_Node.h
- Parse_Node.cpp